body,html{padding:0;margin:0;}
body{

  background-color:#F9F9F9;
  font-family:Arial,Helvetica,Verdana;
  font-size:15px;
  color:#000000;
  min-height:100vh;
  position:relative;
  -webkit-text-size-adjust:none;
padding-top: env(safe-area-inset-top, 0);
padding-right: env(safe-area-inset-right, 0);
padding-bottom: env(safe-area-inset-bottom, 0);
padding-left: env(safe-area-inset-left, 0);
}
h1,h2,h3,h4,h5,h6{line-height:1;font-weight:700;margin:5px 5px 2px 5px;color: #026A58;text-align:center;font-size: 15px;}
p {margin:0 0 10px 0}

 .mburger {

    --mb-bar-height: 3px;
    --mb-button-size:50px;
    --mb-bar-spacing:8px;
}

nav:not(.mm-menu) {
display: none;
}



.mm-menu_offcanvas:not(.mm-menu_opened){width:1%;
min-width:0px;
max-width:0px}

.nomarg-form { all: unset;margin: 0; padding: 0;display: contents;}
.nomarg { margin: 0; padding: 0;}  
.marg1 {margin: 1px 1px 1px 1px;}
.marg2 {margin: 2px 2px 2px 2px;}
.marg3 {margin: 3px 3px 3px 3px;}
.marg4 {margin: 4px 4px 4px 4px;}
.marg5 {margin: 5px 5px 5px 5px;}
.marg6 {margin: 6px 6px 6px 6px;}
.marg7 {margin: 7px 7px 7px 7px;}
.marg7-r {margin: 2px 7px 7px 0px;}
.marg10 {margin: 10px 10px 10px 10px;}

a:link {color: #01635B; text-decoration: underline;}
a:visited {color: #01635B; text-decoration: underline;}
a:hover {color: #24E468; text-decoration: underline;}


div.table {border: 0px solid black; display: table; margin: 0px 0px 0px 0px; padding: 0px; }
div.tr {border: 0px solid black; display: table-row; padding: 0px;}
div.td {border: 0px solid black; display: table-cell;padding: 0px; }



.header-btn {
  background-color: #D8F9F0;
  border-color: #09843D;
  border-style: solid;
  border-width: 1px;
  color: #056B4D;
  padding: 3px;
  text-align: center;
  font-size: 14px;
  margin: 0px;
  transition: 0.3s;
  width: 100%;
  cursor:pointer;
  border-radius: 3px;
}

.header-btn:hover {
  background-color: #6AFBA0;
  border-color: #028C37;
  color: white;
}
/*
.header-btn2 {
  background-color: #F2DBFB;
  border-color: #611795;
  border-style: solid;
  border-width: 1px;
  color: #850EA3;
  padding: 3px;
  text-align: center;
  font-size: 14px;
  margin: 0px;
  transition: 0.3s;
  width: 100%;
  cursor:pointer;
  border-radius: 3px;
}

.header-btn2:hover {
  background-color: #F7BAFB;
  border-color: #591E87;
  color: #F81FEB;
  -webkit-text-stroke: 0.3px #FF1414;
}
*/
.flex-wrapper {
  display: flex; /* Align items side-by-side */
   /* Border on the wrapper */
  border-radius: 4px;
  overflow: hidden; /* Ensures child elements respect border-radius */
  background-color: #ffffff;
}

.flex-input {
  flex-grow: 1; /* Input takes up available space */
  border: none;
  padding: 5px;
  background: transparent;
  transition: 0.3s;
  border-right:  0px solid; border-top: #171D95 1px solid; margin: 0px;border-left: #171D95 1px solid; border-bottom: #171D95 1px solid;
    border-top-right-radius: 0px;
  border-bottom-right-radius: 0px;
  border-top-left-radius: 3px;
  border-bottom-left-radius: 3px;   
}
/*
.flex-button {
  border: none;
  background-color: #FFFFFF;
  color: #0E38A3;
  border-right:   #171D95 1px solid; border-top: #171D95 1px solid; margin: 0px;border-left: 0px solid; border-bottom: #171D95 1px solid;
  padding: 0 15px;
  cursor: pointer;
   border-top-right-radius: 3px;
  border-bottom-right-radius: 3px;
  border-top-left-radius: 0px;
  border-bottom-left-radius: 0px;  
  border-left: 0px solid; 
}

.flex-button:hover {
  background-color: #BCBAFB;
  border-color: #461E87;
  color: white;
}

 .input-search-wrapper {
  position: relative; 
  display: inline-block; 
  border: 1px solid #171D95; 
  border-radius: 4px;
  padding: 0; 
*/
.glass-btn {
  padding: 8px 8px 8px 8px !important;
  margin: 3px !important;
  text-decoration: none !important;
  font-size: 14px;
  color: #065A45 !important;
  background: rgba(255, 255, 255, 0.1);

  border: 1px solid rgba(255, 255, 255, 0.2);
  border-radius: 3px;
  box-shadow: 0 4px 30px rgba(0, 0, 0, 0.1);
  cursor:pointer;  
}
.glass-btn:hover {
  background-color: rgba(255, 255, 255, 0.5); /* Becomes slightly more solid */
  transition: background-color 0.3s ease;
  -webkit-text-stroke: 0.2px #14FFB4;
}



a.aheader { font-size: clamp(11px, 2vw, 14px); text-decoration: underline;}
@media (max-width: 402px) {
  a.aheader {font-size: 10px}
}
@media (max-width: 360px) {
  a.aheader { font-size: 9px; }
}
a.aheader:link,
a.aheader:visited { text-decoration: underline;}
a.aheader:hover {color: #14E37A; text-decoration: none;}

a.aheader2 { color: #1A683D !important; font-size: clamp(11px, 2vw, 14px); text-decoration: underline;}
@media (max-width: 400px) {
  a.aheader2 {font-size: 10px}
}
@media (max-width: 360px) {
  a.aheader2 { font-size: 9px; }
}
a.aheader2:link { color: #1A683D ;  text-decoration: underline;}
a.aheader2:visited { color: #1A683D; text-decoration: underline;}
a.aheader2:hover {color: #2EBF61 !important; text-decoration: none;}

.aheader2span { color: #1A683D; font-size: clamp(11px, 2vw, 14px); text-decoration: none;padding: 9px 2px 12px 2px;}


a.abottom { font-size: clamp(10px, 2vw, 14px); text-decoration: underline;}
@media (max-width: 400px) {
  a.abottom {font-size: 10px}
}
@media (max-width: 360px) {
  a.abottom { font-size: 9px; }
}
a.abottom:link,
a.abottom:visited { text-decoration: underline;}
a.abottom:hover {color: #0FF044; text-decoration: none;}

a.lang-switch { text-decoration: underline; font-size: 12px;}
a.lang-switch:link ,
a.lang-switch:visited { text-decoration: underline;}
a.lang-switch:hover {color: #26DD80; text-decoration: none;}

.links {
  font-family: Tahoma, Verdana, Arial, Helvetica, sans-serif;
  font-size: 14px;
  color: #026747;
  padding: 0px 1px 1px 1px;
  margin: 0px 2px 5px 2px;
}

.leftcolumn-base {
    border: 0px solid #999999;
    display: table-cell;
    padding: 1px ; 
    vertical-align: top; 
    width:80%;
    }


.rightcolumn-base {
      border: 0px ;
      display: table-cell;
        padding: 0px;   
      width:20%;float:center; vertical-align: top;    
    }

.rightcolumn-itemdiv {
display: block;
width: 100%; 
padding: 0px;
margin: 0px;
margin-bottom: 10px;
/* Permalink - use to edit and share this gradient: https://colorzilla.com/gradient-editor/#d7e2c3+0,ffffff+100 */
background: linear-gradient(to bottom,  #C3E2D9 0%,#ffffff 100%); /* W3C, IE10+, FF16+, Chrome26+, Opera12+, Safari7+ */
border-left: 0.5px solid #E2EAE6;border-top: 0.5px solid #E2EAE8;box-shadow: 1px 1px 1px #AABAAE;
border-radius: 3px;
}   

.rightcolumn-bg1 {
background: linear-gradient(to bottom,  #d7e2c3 0%,#ffffff 100%); 
}   

.rightcolumn-bg2 {
background: linear-gradient(to bottom,  #cee4ed 0%,#ffffff 100%); 
}   
.rightcolumn-bg3 {
background: linear-gradient(to bottom,  #eacce5 0%,#ffffff 100%); 
}  

.rightcolumn-bg4 {
background: linear-gradient(to bottom,  #e8e0cc 0%,#ffffff 100%); 
}  

.rightcolumn-bg5 {
background: linear-gradient(to bottom,  #e0e6ff 0%,#ffffff 100%); 
}  

.rightcolumn-bg6 {
background: linear-gradient(to bottom,  #A1FBC4 0%,#ffffff 100%); 
} 

.rightcolumn-bg7 {
background: linear-gradient(to bottom,  #FBA1F4 0%,#ffffff 100%); 
} 

.rightcolumn-sub-bg1 {
  margin: 2px;
  margin-bottom: 3px;
background: linear-gradient(45deg, #ffffff 50%, #F6FAED 100%); will-change: transform; transform: translateZ(0);
}   

.rightcolumn-sub-bg2 {
  margin: 2px;
  margin-bottom: 3px;
background: linear-gradient(45deg, #ffffff 50%, #ECF6FA 100%);will-change: transform; transform: translateZ(0);
}  

.rightcolumn-sub-bg3 {
  margin: 2px;
  margin-bottom: 3px;
background: linear-gradient(45deg, #ffffff 50%, #FAF0F8 100%);will-change: transform; transform: translateZ(0);
}  

.rightcolumn-sub-bg4 {
  margin: 2px;
  margin-bottom: 3px;
background: linear-gradient(45deg, #ffffff 50%, #FBF7ED 100%);will-change: transform; transform: translateZ(0);
}  

.rightcolumn-sub-bg5 {
  margin: 2px;
  margin-bottom: 3px;
background: linear-gradient(45deg, #ffffff 50%, #EFF2FC 100%);will-change: transform; transform: translateZ(0);
}  

.rightcolumn-sub-bg6 {
  margin: 2px;
  margin-bottom: 3px;
background: linear-gradient(45deg, #ffffff 50%, #EFFCF4 100%);will-change: transform; transform: translateZ(0);
}  

.rightcolumn-sub-bg7 {
  margin: 2px;
  margin-bottom: 3px;
background: linear-gradient(45deg, #ffffff 50%, #FCEFF9 100%);will-change: transform; transform: translateZ(0);
}  

.rightcolumn-itemdiv-subj-count {color: #8B8C9C;font-size: 10px;  }
a.rightcolumn-itemdiv-subj {color: #036251;font-size: 12px;  text-decoration: none;font-weight: normal;text-underline-offset: 3px; }
a.rightcolumn-itemdiv-subj:link ,
a.rightcolumn-itemdiv-subj:visited{color: #036251; text-decoration: none;text-underline-offset: 3px;}
a.rightcolumn-itemdiv-subj:hover  {color: #03C587;  text-decoration: underline;text-underline-offset: 3px;} 

a.rightcolumn-itemdiv-all {color: #036251;font-size: 12px;  text-decoration: underline;font-weight: normal;text-underline-offset: 3px; }
a.rightcolumn-itemdiv-all:link ,
a.rightcolumn-itemdiv-all:visited{color: #036251; text-decoration: underline;text-underline-offset: 3px;}
a.rightcolumn-itemdiv-all:hover  {color: #03C53E;  text-decoration: none ;text-underline-offset: 3px;} 


a.groups-block-link {color: #196D37;font-size: 12px;  text-decoration: none;font-weight:bold; text-underline-offset: 3px; }
a.groups-block-link:link ,
a.groups-block-link:visited{color: #196D37; text-decoration: none;text-underline-offset: 3px;}
a.groups-block-link:hover  {color: #196D37;  text-decoration: underline;text-underline-offset: 3px;} 


a.sub-list {color: #196D37;font-size: 16px;  text-decoration: none; }
a.sub-list:link ,
a.sub-list:visited{color: #196D37; text-decoration: none;}
a.sub-list:hover  {color: #03C53E;  text-decoration: underline;} 
.sub-list-span {color: #B1B1B5;font-size: 14px;  }



.itemdiv {
 display: block; 
width: 100%; 
padding: 0px;
margin: 0px;
margin-bottom: 10px;
--start-color: #e5e5e5;
/* Permalink - use to edit and share this gradient: https://colorzilla.com/gradient-editor/#e5e5e5+0,ffffff+100 */
background: linear-gradient(to bottom right, var(--start-color), #ffffff);



border-left: 0.5px solid #E2EAE3;border-top: 0.5px solid #E2EAE4;box-shadow: 1px 1px 1px #AABAAC;
border-radius: 5px;

}    

.itemdiv-line {border-top:1px solid #BAE7C7;}

.itemdiv-date { font-size:clamp(9px, 2vw, 11px);  font-style: italic;color: #4F5C50; }

.bodytext {font-size:17px; margin: 0px; padding: 7px; }
.bodytext-title {font-size:13px; margin: 0px; padding: 5px;text-align: center;font-weight:bold;}

a.itemdiv-title-link-top:link {color: #1D4C2C;font-size: 13px;  text-decoration: underline;font-weight: bold;text-underline-offset: 4px;}
a.itemdiv-title-link-top:visited{color: #1D4C2C;font-size: 13px; text-decoration: underline;font-weight: bold;text-underline-offset: 4px;}
a.itemdiv-title-link-top:hover  {color: #0FE66A;font-size: 13px;  text-decoration: none;font-weight: bold;} 


a.itemdiv-title-link-bottom {color: #1D4C2C;font-size: clamp(10px, 2vw, 13px);  text-decoration: none;font-weight: bold;}
a.itemdiv-title-link-bottom:link ,
a.itemdiv-title-link-bottom:visited{color: #1D4C2C; text-decoration: none;font-weight: bold;}
a.itemdiv-title-link-bottom:hover  {color: #0FE66A;  text-decoration: underline;font-weight: bold;} 


a.itemdiv-title-link:link {color: #06793A;font-size: clamp(11px, 2vw, 13px);  text-decoration: none;font-weight: 600;text-underline-offset: 4px;}
a.itemdiv-title-link:visited{color: #06793A; text-decoration: none;font-weight: 600;text-underline-offset: 4px;}
a.itemdiv-title-link:hover  {color: #04E028;  text-decoration: underline;font-weight: 600;} 

a.itemdiv-title-link2:link {color: #06682B;font-size: 15px;  text-decoration: none;font-weight: bold;}
a.itemdiv-title-link2:visited{color: #06682B;font-size: 15px; text-decoration: none;font-weight: bold;}
a.itemdiv-title-link2:hover  {color: #0FE66A;font-size: 15px;  text-decoration: none;font-weight: bold;} 

a.itemdiv-title-link-subj:link {color: #337351;font-size: clamp(10px, 2vw, 12px);  text-decoration: none;font-weight: 600;text-underline-offset: 3px;}
a.itemdiv-title-link-subj:visited{color: #337351; text-decoration: none;font-weight: 600;text-underline-offset: 3px;}
a.itemdiv-title-link-subj:hover  {color: #04E028;  text-decoration: underline;font-weight: 600;text-underline-offset: 3px;} 

.temdiv-title-link-bottom-author-bt {vertical-align: middle; text-align: center; align-content: center; width: 1.2em; height: 1.2em;}


.voteit {
  font-size: 100%;
  color: #000000;
  padding: 0px 0px 0px 0px;
}
.voteit1 {
  font-size: 60%;
  color: #000000;
  padding: 0px 0px 0px 0px;
}
.btvote-left {
  background-color: #EBE9E9;
  border-color: #BBBBBB;
  border-style: solid;
  border-width: 1px;
  color: #292626;
  padding: 4px;
  text-align: center;
  margin: 1px;
  transition: 0.3s;
  border-top-left-radius: 15px;
  border-bottom-left-radius: 15px;

  cursor:pointer;
}
.btvote-left:hover {
  background-color: #FFF4D7;
  border-color: #08D338;
  color: #06C906;
}

.btvote-left .tooltiptext {
  visibility: hidden;
  width: 110px;
  background-color: #049B3D;
  color: #fff;
  text-align: center;
  border-radius: 6px;
  padding: 5px 0;

  /* Position the tooltip */
  position: absolute;
  z-index: 1;
}
.btvote-left:hover .tooltiptext {
  visibility: visible;
}


.btvote-right {
  background-color: #EBE9E9;
  border-color: #BBBBBB;
  border-style: solid;
  border-width: 1px;
  color: #292626;
  padding: 4px;
  text-align: center;
  margin: 1px;
  transition: 0.3s;
  border-top-right-radius: 15px;
  border-bottom-right-radius: 15px;

  cursor:pointer;
}
.btvote-right:hover {
  background-color: #FFF4D7;
  border-color: #08D338;
  color: #06C906;
}

.btvote-right .tooltiptext {
  visibility: hidden;
  width: 110px;
  background-color: #049B3D;
  color: #fff;
  text-align: center;
  border-radius: 6px;
  padding: 5px 0;

  /* Position the tooltip */
  position: absolute;
  z-index: 1;
}
.btvote-right:hover .tooltiptext {
  visibility: visible;
}




.voted {
  color: #BB0202;
}
.voted:hover {
  color: #FE3B4D;
}

.glass-button-subj-container {
  padding: 4px 
}
.glass-button-subj {
    /* 1. Remove default link styles */
    text-decoration: none !important;
   
    color: #176142 !important;
    cursor: pointer;
    margin: 1px;
    /* 2. Style as a button */
    font-size: 12px;
    padding: 4px 6px;
    border-radius: 10px;
    font-weight: normal;
    display: inline-block; /* Allows padding to work correctly */

    /* 3. Apply Glassmorphism effect */
    /* Semi-transparent background */
     background: #ffffff;


    /* Subtle border */
    border: 1px solid #04A849;
    /* Add some depth */
    
    
    /* Optional transition for hover effects */
    transition: all 0.3s ease;
}

.glass-button-subj:hover {
    /* Enhance the effect on hover */
    background: #ffffff;
    box-shadow: 0 1px 4px rgba(0, 0, 0, 0.2);
    transform: translateY(-1px); /* Subtle lift effect */
    color: #04E052 !important;
    border: 1px solid #03F430;
}



.button-a-z {
    text-decoration: none !important;
    color: #21711B !important;
    cursor: pointer;
    margin: 2px;
    font-size: 29px;
    width: 56px;
    height: 56px;
    padding: 0;
    border-radius: 10px;
    font-weight: normal;
    display: inline-flex;
    align-items: center;
    justify-content: center;
    background: #ffffff;
    border: 1px solid #24E348;
    transition: all 0.3s ease;
    box-sizing: border-box;
}

.button-a-z:hover {
    background: #ffffff;
    box-shadow: 0 1px 4px rgba(0, 0, 0, 0.2);
    transform: translateY(-1px);
    color: #16F37E !important;
    border: 1px solid #16F283;
}

@media (min-width: 768px) {
    .button-a-z {
        width: 64px;
        height: 64px;
        font-size: 33px;
        border-radius: 12px;
    }
}


@media (min-width: 1200px) {
    .button-a-z {
        width: 72px;
        height: 72px;
        font-size: 38px;
        border-radius: 14px;
        margin: 3px;
    }
}


@media (min-width: 1600px) {
    .button-a-z {
        width: 80px;
        height: 80px;
        font-size: 42px;
        border-radius: 16px;
        margin: 4px;
    }
}

a.subjofdoc {text-decoration:none;font-size:13px;font-family:  Verdana,Arial; color: #027C3E;}
a.subjofdoc:visited{text-decoration:none;color: #027C3E; white-space: nowrap;}
a.subjofdoc:hover {text-decoration: underline;color: #06F688;}

.hdiv {border-bottom: 1px solid #E4E4E4;}

.hsubdiv {text-align:center;padding-bottom: 2px}
b.subh{font-size: 13px;font-weight: bold;font-style: italic;}
i.subh{font-size: 10px;font-style: italic;}
i.subh12{font-size: 12px;font-style: italic;}
i.subh11{font-size: 11px;font-style: italic;}

a.btlinked:link {text-decoration:none;font-size:17px; color:#016B53;}
a.btlinked:visited {text-decoration:none;font-size:17px; color:#016B53;}
a.btlinked:hover  {text-decoration: underline;} 

.bottomlinks {border: 1px solid #E4E4E4;padding: 5px; margin:  8px; border-radius: 5px; background: #ECF9F3;}

.tophotlinks {border: 1px solid #A0B8B1;padding: 1px; margin-top:  3px; margin-bottom:  3px; margin-left:  7px; margin-right:  5px;  border-radius: 2px; 
background: #DBFBEA; color: #0E82A3;

}

a.tophotlinks-link:link {color: #5E0774;font-size: 11px;  text-decoration: none;font-weight: normal;}
a.tophotlinks-link:visited{color: #5E0774; text-decoration: none;font-weight: normal;}
a.tophotlinks-link:hover  {color: #B93CD8;  text-decoration: underline;font-weight: normal;} 



.autocomplete-suggestions { -webkit-box-sizing: border-box; -moz-box-sizing: border-box; box-sizing: border-box; border: 1px solid #999; background: #FFF; cursor: default; overflow: auto; -webkit-box-shadow: 1px 4px 3px rgba(50, 50, 50, 0.64); -moz-box-shadow: 1px 4px 3px rgba(50, 50, 50, 0.64); box-shadow: 1px 4px 3px rgba(50, 50, 50, 0.64); }
.autocomplete-suggestion { padding: 2px 5px; white-space: nowrap; overflow: hidden; }
.autocomplete-no-suggestion { padding: 2px 5px;}
.autocomplete-selected { background: #F0F0F0; }
.autocomplete-suggestions strong { font-weight: bold; color: #000; }
.autocomplete-group { padding: 2px 5px; font-weight: bold; font-size: 16px; color: #000; display: block; border-bottom: 1px solid #000; }


.raz-button-left {
    /* 1. Remove default link styles */
    text-decoration: none !important;
   
    color: #043E2C !important;
    cursor: pointer;
    margin: 1px;
    /* 2. Style as a button */
    font-size: 12px;
    padding: 5px 12px;
    border-radius: 20px 0 0 20px;
    font-weight: normal;
    display: inline-block; /* Allows padding to work correctly */

    /* 3. Apply Glassmorphism effect */
    /* Semi-transparent background */
    background: rgba(97, 217, 156, 0.15);

    /* Subtle border */
    border: 1px solid rgba(14, 101, 21,  0.5);
    /* Add some depth */
    box-shadow: 0 2px 5px rgba(0, 0, 0, 0.1);
    
    /* Optional transition for hover effects */
    transition: all 0.3s ease;
    white-space:nowrap;

}

.raz-button-left:hover {
    /* Enhance the effect on hover */
    background: rgba(23,  160, 36, 0.7);
    box-shadow: 0 4px 8px rgba(0, 0, 0, 0.2);
    transform: translateY(-1px); /* Subtle lift effect */
    color: #FFFFFF !important;
    border: 1px solid rgba(30, 101, 2,  0.7);
}

.raz-button-right {
    /* 1. Remove default link styles */
    text-decoration: none !important;
   
    color: #043E2C !important;
    cursor: pointer;
    margin: 1px;
    /* 2. Style as a button */
    font-size: 12px;
    padding: 5px 12px;
    border-radius: 0 20px 20px 0;
    font-weight: normal;
    display: inline-block; /* Allows padding to work correctly */

    /* 3. Apply Glassmorphism effect */
    /* Semi-transparent background */
    background: rgba(97, 217, 156, 0.15);

    /* Subtle border */
    border: 1px solid rgba(14, 101, 21,  0.5);
    /* Add some depth */
    box-shadow: 0 2px 5px rgba(0, 0, 0, 0.1);
    
    /* Optional transition for hover effects */
    transition: all 0.3s ease;
    white-space:nowrap;

}

.raz-button-right:hover {
    /* Enhance the effect on hover */
    background: rgba(23,  160, 36, 0.7);
    box-shadow: 0 4px 8px rgba(0, 0, 0, 0.2);
    transform: translateY(-1px); /* Subtle lift effect */
    color: #FFFFFF !important;
    border: 1px solid rgba(30, 101, 2,  0.7);
}


.raz-button-center {
    /* 1. Remove default link styles */
    text-decoration: none !important;
   
    color: #043E2C !important;
    cursor: pointer;
    margin: 1px;
    /* 2. Style as a button */
    font-size: 12px;
    padding: 5px 9px;
    border-radius: 0 ;
    font-weight: normal;
    display: inline-block; /* Allows padding to work correctly */

    /* 3. Apply Glassmorphism effect */
    /* Semi-transparent background */
    background: rgba(97, 217, 156, 0.15);

    /* Subtle border */
    border: 1px solid rgba(14, 101, 21,  0.5);
    /* Add some depth */
    box-shadow: 0 2px 5px rgba(0, 0, 0, 0.1);
    
    /* Optional transition for hover effects */
    transition: all 0.3s ease;
    white-space:nowrap;

}

.raz-button-center:hover {
    /* Enhance the effect on hover */
    background: rgba(23,  160, 36, 0.7);
    box-shadow: 0 4px 8px rgba(0, 0, 0, 0.2);
    transform: translateY(-1px); /* Subtle lift effect */
    color: #FFFFFF !important;
    border: 1px solid rgba(30, 101, 2,  0.7);
}

.raz-current-center {
    /* 1. Remove default link styles */
    text-decoration: none !important;
   
    color: #000000 !important;
    margin: 1px;
    /* 2. Style as a button */
    font-size: 12px;
    padding: 5px 12px;
    border-radius: 0 ;
    font-weight: normal;
    display: inline-block; /* Allows padding to work correctly */



    /* Subtle border */
    border: 1px solid rgba(14, 101, 21,  0.5);
    /* Add some depth */
    box-shadow: 0 4px 30px rgba(0, 0, 0, 0.1);
    
    /* Optional transition for hover effects */
    transition: all 0.3s ease;
    white-space:nowrap;

}

a.privacy { text-decoration: none; font-size: clamp(8px, 2vw, 10px);}
a.privacy:link ,
a.privacy:visited { text-decoration: none;}
a.privacy:hover {color: #FFFFFF; text-decoration: underline;}


.search-container {
    position: relative;
    display: inline-block;
    width: 50%;           
    max-width: 100%;
}


.search-container input {
    width: 100%;
    padding-left: 30px;  
    padding-right: 30px;  
    box-sizing: border-box;
    min-width: 120px;
}


.search-container i.fa-search {
    position: absolute;
    left: 8px;
    top: 50%;
    transform: translateY(-50%);
    pointer-events: none;
    color: #888;
}


.search-container button#clearSearch {
    position: absolute;
    right: 8px;
    top: 50%;
    transform: translateY(-50%);
    border: none;
    background: none;
    cursor: pointer;
    font-size: 16px;
    color: #888;
    padding: 0;
    line-height: 1;
    width: 20px;
    text-align: center;
    display: none; 
}

@media (max-width: 600px) {
    .search-container {
        width: 80%;  
    }
} 


.content {
  position: relative;
}

/* overlay */
.overlay {
  position: absolute;
  top: 0; left: 0;
  width: 100%; height: 100%;
  display: none;
  align-items: center;
  justify-content: flex-start; 
  flex-direction: column;
  background: rgba(255,255,255,0.8);
  z-index: 10;
  padding-top: 40px; 
}


.loading-text-container {
  text-align: center;
}

.loading-text {
  font-weight: bold;
  margin-bottom: 5px;
}

.loading-percent {
  font-size: 12px;
  margin-bottom: 10px;
}


.retry-btn {
  background-color: #DBFBE8 !important;
  border-color: #179561 !important;
  border-style: solid !important;
  border-width: 1px !important;
  color: #0EA374 !important;
  padding: 3px !important;
  text-align: center !important;
  font-size: 14px;
  margin: 0px;
  transition: 0.3s !important;
  width: 100%;
  cursor:pointer !important;
  border-radius: 3px;
  display: none;
}

.retry-btn:hover {
  background-color: #BAFBDA !important;
  border-color: #12712B !important;
  color: white;
}

.retry-btn-div {
  display: none;
}


.loader-bar {
  position: absolute;
  top:0; left:0;
  height:4px;
  background:#2AF02A;
  width:0%;
  display:none;
}


.show-rand-button {
    /* 1. Remove default link styles */
    text-decoration: none !important;
   
    color: #227239 !important;
    cursor: pointer;
    margin: 1px;
    /* 2. Style as a button */
    font-size: clamp(12px, 2vw, 23px);
    padding: 8px 12px;
    border-radius: 20px ;
    font-weight: normal;
    display: inline-block; /* Allows padding to work correctly */

    /* 3. Apply Glassmorphism effect */
    /* Semi-transparent background */
    background: rgba(54, 165, 96, 0.2);

    /* Subtle border */
    border: 1px solid rgba(11, 116, 56, 0.5);
    /* Add some depth */
    box-shadow: 0 2px 5px rgba(0, 0, 0, 0.1);
    
    /* Optional transition for hover effects */
    transition: all 0.3s ease;
  

}

.show-rand-button:hover {
    /* Enhance the effect on hover */
    background: rgba( 19, 139, 95, 0.7);
    box-shadow: 0 4px 8px rgba(0, 0, 0, 0.2);
    transform: translateY(-1px); /* Subtle lift effect */
    color: #FFFFFF !important;
    border: 1px solid rgba(17, 105, 67, 0.7);
}


.searchform {
 display: table; 
table-layout: fixed;float: none;
padding: 10px;
margin: 10px;
margin-bottom: 10px;
/* Permalink - use to edit and share this gradient: https://colorzilla.com/gradient-editor/#e5e5e5+0,ffffff+100 */
background: linear-gradient(to bottom right, #D8E8E7, #EAF6F3);



border-left: 1px solid #E2EAE5;border-top: 1px solid #E2EAE6;box-shadow: 1px 1px 1px #AABAB2;
border-radius: 5px;

} 

.infoblock {
 display: table; 
table-layout: fixed;float: none;
padding: 10px;
margin: 10px;
margin-bottom: 10px;
/* Permalink - use to edit and share this gradient: https://colorzilla.com/gradient-editor/#e5e5e5+0,ffffff+100 */
background: linear-gradient(to bottom right, #E2EDEC, #EAFBFA);



border-left: 1px solid #E2E2EA;border-top: 1px solid #E2E2EA;box-shadow: 1px 1px 1px #AAABBA;
border-radius: 5px;

} 

.glass-button-search {
    /* 1. Remove default link styles */
    text-decoration: none !important;
   
    color: #1D634D !important;
    cursor: pointer;
    margin: 1px;
    /* 2. Style as a button */
    font-size: 12px;
    padding: 4px 15px;
    border-radius: 5px;
    font-weight: bold;
    display: inline-block; /* Allows padding to work correctly */

    /* 3. Apply Glassmorphism effect */
    /* Semi-transparent background */
     background: #ffffff;


    /* Subtle border */
    border: 1px solid #028A5F;
    /* Add some depth */
    
    
    /* Optional transition for hover effects */
    transition: all 0.3s ease;
}

.glass-button-search:hover {
    /* Enhance the effect on hover */
    background: #ffffff;
    box-shadow: 0 1px 4px rgba(0, 0, 0, 0.2);
    transform: translateY(-1px); /* Subtle lift effect */
    color: #02C771 !important;
    border: 1px solid #03F965;
}

 .input-search-form {
  width: 100%;
    font-size: 16px;border: #068515 1px solid; ;background-color: #ffffff
  border-radius: 4px;
  padding: 1px; /* Remove default padding */
} 
.chk-search-group {
  display: flex;
  flex-wrap: wrap;   
  gap: 8px;          
}
.chk-search {
  display: flex;
  align-items: center;
  gap: 5px;
  padding: 3px;
  border-radius: 5px;
  border: 1px solid #ccc;
  margin-bottom: 2px;
  cursor: pointer;
  font-size: clamp(11px, 2vw, 13px);
}
.chk-search:active {
  background: #f5f5f5;
}
.chk-search input {
  width: 18px;
  height: 18px;
}
.chk-search:hover {
  background: #f5f5f5;
  border-color: #00CC48;
}

.alertdiv{margin-left:10px;font-size: 100%;color:#ffffff; float: none;text-align: center;width: 70%; margin-right:5px;  margin-top:5px;  margin-bottom : 5px; box-shadow:1px 1px 1px #999999; display: block;table-layout: fixed;background: #CD0668;border:1px solid #730244;border-radius:8px;padding-top: 7px;padding-right: 7px;padding-bottom: 7px;padding-left: 7px; vertical-align: middle;}

.logindiv2 {border: 1px solid #038725; padding: 8px 8px 8px 8px; margin: 7px 5px 5px 5px; }


.glass-button-user {
    /* 1. Remove default link styles */
    text-decoration: none !important;
   
    color: #EAFCFB !important;
    cursor: pointer;
    margin: 1px;
    /* 2. Style as a button */
    font-size: 14px;
    padding: 5px 16px;
    border-radius: 5px;
    font-weight: bold;
    display: inline-block; /* Allows padding to work correctly */

    /* 3. Apply Glassmorphism effect */
    /* Semi-transparent background */
     background: #0347D2;


    /* Subtle border */
    border: 1px solid #124C02;
    /* Add some depth */
    
    
    /* Optional transition for hover effects */
    transition: all 0.3s ease;
}

.glass-button-user:hover {
    /* Enhance the effect on hover */
    background: #23FB06;
    box-shadow: 0 1px 4px rgba(0, 0, 0, 0.2);
    transform: translateY(-1px); /* Subtle lift effect */
    color: #ffffff !important;
    border: 1px solid #2DB517;
}



.glass-button-user-green {
    /* 1. Remove default link styles */
    text-decoration: none !important;
   
    color: #EAFCED !important;
    cursor: pointer;
    margin: 1px;
    /* 2. Style as a button */
    font-size: 14px;
    padding: 5px 16px;
    border-radius: 5px;
    font-weight: bold;
    display: inline-block; /* Allows padding to work correctly */

    /* 3. Apply Glassmorphism effect */
    /* Semi-transparent background */
     background: #04C424;


    /* Subtle border */
    border: 1px solid #03500A;
    /* Add some depth */
    
    
    /* Optional transition for hover effects */
    transition: all 0.3s ease;
}

.glass-button-user-green:hover {
    /* Enhance the effect on hover */
    background: #06FB06;
    box-shadow: 0 1px 4px rgba(0, 0, 0, 0.2);
    transform: translateY(-1px); /* Subtle lift effect */
    color: #ffffff !important;
    border: 1px solid #17B517;
}


.glass-button-user-black {
    /* 1. Remove default link styles */
    text-decoration: none !important;
   
    color: #EDFB02 !important;
    cursor: pointer;
    margin: 1px;
    /* 2. Style as a button */
    font-size: 14px;
    padding: 5px 16px;
    border-radius: 5px;
    font-weight: bold;
    display: inline-block; /* Allows padding to work correctly */

    /* 3. Apply Glassmorphism effect */
    /* Semi-transparent background */
     background: #011E06;


    /* Subtle border */
    border: 1px solid #03500A;
    /* Add some depth */
    
    
    /* Optional transition for hover effects */
    transition: all 0.3s ease;
}

.glass-button-user-black:hover {
    /* Enhance the effect on hover */
    background: #414341;
    box-shadow: 0 1px 4px rgba(0, 0, 0, 0.2);
    transform: translateY(-1px); /* Subtle lift effect */
    color: #FEFF9D !important;
    border: 1px solid #BAC41D;
}

.glass-button-user-red {
    /* 1. Remove default link styles */
    text-decoration: none !important;
   
    color: #FCEAEA !important;
    cursor: pointer;
    margin: 1px;
    /* 2. Style as a button */
    font-size: 14px;
    padding: 5px 16px;
    border-radius: 5px;
    font-weight: bold;
    display: inline-block; /* Allows padding to work correctly */

    /* 3. Apply Glassmorphism effect */
    /* Semi-transparent background */
     background: #C40404;


    /* Subtle border */
    border: 1px solid #500303;
    /* Add some depth */
    
    
    /* Optional transition for hover effects */
    transition: all 0.3s ease;
}

.glass-button-user-red:hover {
    /* Enhance the effect on hover */
    background: #FB0606;
    box-shadow: 0 1px 4px rgba(0, 0, 0, 0.2);
    transform: translateY(-1px); /* Subtle lift effect */
    color: #ffffff !important;
    border: 1px solid #B54B17;
}

.glass-button-user-pnk {
    /* 1. Remove default link styles */
    text-decoration: none !important;
   
    color: #FFF7FF !important;
    cursor: pointer;
    margin: 1px;
    /* 2. Style as a button */
    font-size: 14px;
    padding: 5px 16px;
    border-radius: 5px;
    font-weight: bold;
    display: inline-block; /* Allows padding to work correctly */

    /* 3. Apply Glassmorphism effect */
    /* Semi-transparent background */
     background: #CD0689;


    /* Subtle border */
    border: 1px solid #480350;
    /* Add some depth */
    
    
    /* Optional transition for hover effects */
    transition: all 0.3s ease;
}

.glass-button-user-pnk:hover {
    /* Enhance the effect on hover */
    background: #FB06B9;
    box-shadow: 0 1px 4px rgba(0, 0, 0, 0.2);
    transform: translateY(-1px); /* Subtle lift effect */
    color: #ffffff !important;
    border: 1px solid #B5177F;
}


.select-css {
  display: block;
  font-size: 12px;
  font-family: sans-serif;
  font-weight: 700;
  color: #004402;
  line-height: 1.3;
  padding: .6em 1.4em .5em .8em;
  width: 100%;
  max-width: 100%;
  box-sizing: border-box;
  margin: 0;
  border: 1px solid #028F2A;
  box-shadow: 0 1px 0 1px rgba(0,0,0,.04);
  border-radius: .5em;
  -moz-appearance: none;
  -webkit-appearance: none;
  appearance: none;
  background-color: #fff;
  background-image: url('data:image/svg+xml;charset=US-ASCII,%3Csvg%20xmlns%3D%22http%3A%2F%2Fwww.w3.org%2F2000%2Fsvg%22%20width%3D%22292.4%22%20height%3D%22292.4%22%3E%3Cpath%20fill%3D%22%23007CB2%22%20d%3D%22M287%2069.4a17.6%2017.6%200%200%200-13-5.4H18.4c-5%200-9.3%201.8-12.9%205.4A17.6%2017.6%200%200%200%200%2082.2c0%205%201.8%209.3%205.4%2012.9l128%20127.9c3.6%203.6%207.8%205.4%2012.8%205.4s9.2-1.8%2012.8-5.4L287%2095c3.5-3.5%205.4-7.8%205.4-12.8%200-5-1.9-9.2-5.5-12.8z%22%2F%3E%3C%2Fsvg%3E'),
    linear-gradient(to bottom, #ffffff 0%,#e5e5e5 100%);
  background-repeat: no-repeat, repeat;
  background-position: right .7em top 50%, 0 0;
  background-size: .65em auto, 100%;
}
.select-css::-ms-expand {
  display: none;
}
.select-css:hover {
  border-color: #00A222;
}
.select-css:focus {
  border-color: #aaa;
  box-shadow: 0 0 1px 3px rgba(59, 153, 252, .7);
  box-shadow: 0 0 0 3px -moz-mac-focusring;
  color: #002203;
  outline: none;
}
.select-css option {
  font-weight:normal;
}

.one-edge-shadow {
  -webkit-box-shadow: 0 7px 5px -5px black;
     -moz-box-shadow: 0 7px 5px -5px black;
          box-shadow: 0 7px 5px -5px black;
}

.sml-image {
  max-width: 100%;
  width: auto;
  zoom: 1.5;  
  height: auto;
  margin: 0 auto;
  border: 1px solid #ccc;
  border-radius: 5px;
  cursor:pointer;
  display: block;
}

.sml-image:hover{
  box-shadow: 0 6px 18px rgba(0,0,0,0.25);
  transform: scale(1.02);
}

.svg-button {
  all: unset;
  display: inline-block;
  cursor: pointer;
  padding: 3px;
  margin: 3px;

}

.svg-button:hover {
  background: rgba(0, 252, 71, 0.15);
  border-radius: 6px;
}

.link-image {
  max-width: 100%;
  height: auto;
  margin: 0 auto;
  border: 0px solid #ccc;
  border-radius: 0px;
  display: block;
}

.embed-wrap {
    max-width: 100%;
    overflow: hidden;
    min-width: 0;
    text-align: center;
}     


.youtube-width {
max-width: 500px;
min-width: 200px;
margin: 30px auto 30px auto; /* AUTO CENTERS THE VIDEO + TOP/BOTTOM MARGINS */
}

.youtube-container {
padding-top: 0px;
padding-bottom: 56.25%;
height: 0;
overflow: hidden;
position: relative;
z-index: 100;
}

.youtube-container iframe,
.youtube-container object,
.youtube-container embed {
width: 100%;
height: 100%;
position: absolute;
top: 0;
left: 0;
z-index: 101;
}


.page-image-item {
  max-width: 100%;
  height: auto;
  margin: 0 auto;
  cursor: zoom-in;
  border: 0px solid #ccc;
  border-radius: 0px;
  display: block;
}


.plink-btn {
    font-size: 17px !important;
    background: none;
    border: none;
    padding: 0;
    color: #0A6615;
    text-decoration: underline;
    cursor: pointer;
    font: inherit;
}

.plink-btn:hover {
    color: #04E81E;
}


.votingtbheader {background: #D7EEDB;}
.votingtbtd1 {background: #E9F5EC;}
.votingtbtd2 {background: #14892D;}
